#include <Arduino.h>
#include "inkey.h"


inkey::inkey(unsigned char pin) : _pin(pin) {
  pinMode(_pin, INPUT_PULLUP);
}

unsigned char inkey::beat() {
  unsigned char somethingChanged = 0;
  if (digitalRead(_pin)) {
    if (_counter < 20) _counter++;
    if (_counter == 15) {
      somethingChanged = 1;
      _state = 1;
    }
  } else {
    if (_counter) _counter--;
    if (_counter == 5) {
      somethingChanged = 1;
      _state = 0;
    }
  }
  return(somethingChanged);
}



